Bug 925282 - dump: Does not support aarch64 in f19 and rawhide
dump: Does not support aarch64 in f19 and rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dump (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Hracek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARM64/F-ExcludeArch-aarch64
  Show dependency treegraph
 
Reported: 2013-03-22 20:21 EDT by Dennis Gilmore
Modified: 2013-04-30 00:33 EDT (History)
1 user (show)

See Also:
Fixed In Version: dump-0.4-0.19.b44.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-17 03:51:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-03-22 20:21:37 EDT
Support for the ARM 64 bit CPU architecture (aarch64) was introduced in 
autoconf 2.69.  dump appears to use an earlier version of 
autoconf, preventing its being built.  This can be fixed in of three ways (In order of preference):

1. Work with upstream to migrate the package to autoconf 2.69.

2. Rerun autoconf or autoreconf in %prep or %build prior to running 
configure.

3. Apply the patch at http://ausil.fedorapeople.org/aarch64/dump/dump-aarch64.patch
which updates config.guess and config.sub to recognize aarch64.
Comment 1 Fedora Admin XMLRPC Client 2013-04-03 06:03:23 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Petr Hracek 2013-04-17 03:51:35 EDT
Tha patch was applied.

scm-commit (http://lists.fedoraproject.org/pipermail/scm-commits/Week-of-Mon-20130415/1001817.html) -> modified

When aarch64 environment will be ready than regression tests are needed.
Comment 3 Fedora Update System 2013-04-17 04:10:37 EDT
dump-0.4-0.19.b44.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dump-0.4-0.19.b44.fc19
Comment 4 Fedora Update System 2013-04-30 00:33:29 EDT
dump-0.4-0.19.b44.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.